import 'package:boilerplate/core/extensions/date_time_extension.dart';
import 'package:boilerplate/core/i18n/translations.g.dart';
import 'package:boilerplate/core/styles/my_colors.dart';
import 'package:boilerplate/core/styles/my_dimensions.dart';
import 'package:boilerplate/core/styles/my_font.dart';
import 'package:boilerplate/presentation/widgets/ipm_textfield.dart';
import 'package:flutter/material.dart';

class DateMeeting extends StatefulWidget {
  const DateMeeting({Key? key}) : super(key: key);

  @override
  State<DateMeeting> createState() => _DateMeetingState();
}

class _DateMeetingState extends State<DateMeeting> {
  late final TextEditingController dateCtrl;

  @override
  void initState() {
    super.initState();

    dateCtrl =
        TextEditingController(text: DateTime.now().toAppFullDateFormat());
  }

  @override
  void dispose() {
    dateCtrl.dispose();

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            AppLocalizations.products.date_meeting,
            style: MyFont.medium20,
          ),
          SizedBox(height: MyDimens.dimen12),
          IPMTextField(
            controller: dateCtrl,
            readOnly: true,
            borderColor: MyColor.borderColor,
            borderRadius: 10,
            textColor: Color(0xFF737B7D),
            onTap: () {
              print('tap');
            },
          ),
        ],
      ),
    );
  }
}
